#!/bin/bash
#
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://public.eu-egee.org/partners/ for details on 
# the copyright holders.
# For license conditions see the license file or
# http://eu-egee.org/license.html
#
# Authors: Akos Frohner <Akos.Frohner@cern.ch>


PACKAGENAME=glite-data-transfer-fts

source ${GLITE_LOCATION:-/opt/glite}/sbin/glite-data-common-service-configure.sh

_get_value "DBURL"
case "$value" in
    *mysql*)
        _mysql_create_user
        _mysql_load "schema/mysql/mysql-schema.sql"
        ;;
    *oracle*)
        _oracle_create_user
        _oracle_load "schema/oracle/oracle-schema.sql"
        ;;
    *)
        echo "Warning: unknown database type: $value" >&2
        echo "Warning: you will have to load the schema manually!" >&2
        ;;
esac

_print_cleanup

